Subject: Re: [PATCH] diff: stop output garbled message in dry run mode

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Oct 2025 08:33:29 -0700

Lidong Yan <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> 
>> Yup, that matches my expectation more closely, which is
>> 
>> * We'll do the "send to /dev/null as we used to do before the
>>   dry-run thing" on the 'maint' front, which will be merged up to
>>   'master' and above.
>> 
>> * We'll queue "here are fixes to the recently introduced dry-run
>>   code" (without the /dev/null thing mixed in), and cook that in
>>   the usual 'seen' down to 'next' down to 'master' route.
>> 
>> In a distant future, we may consider removing the /dev/null thing
>> once the dry-run code path proves to be stable and robust.
>> 
>> Thanks.
>
> I am not sure what should I do. Should I make a new patch which
> only contains “fixes to the recently introduced dry-run code” without
> Peff’s code in it

That would be my preference, rather than I make up a Chimera out of
your initial fix, proposed log message and a single fprintf() fix in
your second version in this thread.

Thanks.